Subject: bug#33441: reading and printing Lisp Objects - what changed from 25.3.1 to 26.1?

From: Noam Postavsky <[email-masked]>
Date: Tue, 20 Nov 2018 16:19:38 -0500

On Tue, 20 Nov 2018 at 16:09, Peter Milliken <[email-masked]> wrote:
>
> Not sure what the reference to circular structures means in this context. As I said, all versions of Emacs less than 26 it worked fine with these same Lisp Objects.
>
> As I said: what changed?  Are you trying to say something in 26.1 is now "fixed" i.e. it should never have worked in versions less than 26? and what I have been doing for years should have always failed?

I think the difference is that in Emacs 25 and earlier the type of a
struct (or eieio class?) was encoded as a symbol, whereas in Emacs 26
and later it is a record object with circular references.

See also https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29220#47 and replies.